package com.displaynone.acss.controllers.acs;

import com.displaynone.acss.components.acs.ACSComponent;
import com.displaynone.acss.exception.generics.ForbiddenHTTPException;
import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/acs")
@RequiredArgsConstructor
public class ACSController {
    private final ACSComponent acsComponent;

    @PostMapping("/open")
    public ResponseEntity<Void> open(@RequestBody OpenRB body) {
        Long code = body.getCode();
        if (!acsComponent.isValid(code)) throw new ForbiddenHTTPException("Invalid code");
        return ResponseEntity.ok(null);
    }
}
